Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class DirectNodeHandle

    java.lang.Object
      java.util.Observable
          rice.p2p.commonapi.NodeHandle
              rice.pastry.NodeHandle
                  rice.pastry.direct.DirectNodeHandle

All Implemented Interfaces:
  MessageReceiver, java.util.Observer, java.io.Serializable

public class DirectNodeHandle
extends NodeHandle
implements java.util.Observer

the node handle used with the direct network

Version:
  $Id: DirectNodeHandle.java 2885 2006-01-05 12:20:54Z jeffh $
Author:
  Andrew Ladd, Rongmei Zhang/Y. Charlie Hu
See Also:
  Serialized Form

Field Summary
`protected Logger` | `logger` DESCRIBE THE FIELD
`NetworkSimulator` | `simulator` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.NodeHandle
`LIVENESS_ALIVE, LIVENESS_DEAD, LIVENESS_SUSPECTED, localnode`

Fields inherited from class rice.p2p.commonapi.NodeHandle
`DECLARED_DEAD, DECLARED_LIVE, PROXIMITY_CHANGED`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equivalence relation for nodehandles.
`int` | `getLiveness()` Gets the Alive attribute of the DirectNodeHandle object
`NodeId` | `getNodeId()` Gets the NodeId attribute of the DirectNodeHandle object
`DirectPastryNode` | `getRemote()` Gets the Remote attribute of the DirectNodeHandle object
`NetworkSimulator` | `getSimulator()` Gets the Simulator attribute of the DirectNodeHandle object
`int` | `hashCode()` Hash codes for node handles.It is the hashcode of their corresponding NodeId's.
`void` | `notifyObservers(java.lang.Object arg)` DESCRIBE THE METHOD
`boolean` | `ping()` DESCRIBE THE METHOD
`int` | `proximity()` DESCRIBE THE METHOD
`void` | `receiveMessage(Message msg)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD
`void` | `update(java.util.Observable arg0, java.lang.Object arg1)` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.NodeHandle
`assertLocalNode, bootstrap, checkLiveness, getId, getLocalNode, isAlive`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### simulator

    public NetworkSimulator simulator

  DESCRIBE THE FIELD

### logger

    protected Logger logger

  DESCRIBE THE FIELD

Method Detail

### getRemote

    public DirectPastryNode getRemote()

  Gets the Remote attribute of the DirectNodeHandle object

  Returns:
    The Remote value

### getNodeId

    public NodeId getNodeId()

  Gets the NodeId attribute of the DirectNodeHandle object

  Specified by:
    `getNodeId` in class `NodeHandle`
  Returns:
    The NodeId value

### getLiveness

    public int getLiveness()

  Gets the Alive attribute of the DirectNodeHandle object

  Specified by:
    `getLiveness` in class `NodeHandle`
  Returns:
    The Alive value

### getSimulator

    public NetworkSimulator getSimulator()

  Gets the Simulator attribute of the DirectNodeHandle object

  Returns:
    The Simulator value

### notifyObservers

    public void notifyObservers(java.lang.Object arg)

  DESCRIBE THE METHOD

  Parameters:
    `arg` - DESCRIBE THE PARAMETER

### ping

    public boolean ping()

  DESCRIBE THE METHOD

  Specified by:
    `ping` in class `NodeHandle`
  Returns:
    DESCRIBE THE RETURN VALUE

### proximity

    public int proximity()

  DESCRIBE THE METHOD

  Specified by:
    `proximity` in class `NodeHandle`
  Returns:
    DESCRIBE THE RETURN VALUE

### receiveMessage

    public void receiveMessage(Message msg)

  DESCRIBE THE METHOD

  Specified by:
    `receiveMessage` in interface `MessageReceiver`
  Parameters:
    `msg` - DESCRIBE THE PARAMETER

### equals

    public boolean equals(java.lang.Object obj)

  Equivalence relation for nodehandles. They are equal if and only if their corresponding NodeIds are equal.

  Specified by:
    `equals` in class `NodeHandle`
  Parameters:
    `obj` - the other nodehandle .
  Returns:
    true if they are equal, false otherwise.

### hashCode

    public int hashCode()

  Hash codes for node handles.It is the hashcode of their corresponding NodeId's.

  Specified by:
    `hashCode` in class `NodeHandle`
  Returns:
    a hash code.

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### update

    public void update(java.util.Observable arg0,
                       java.lang.Object arg1)

  DESCRIBE THE METHOD

  Specified by:
    `update` in interface `java.util.Observer`
  Parameters:
    `arg0` - DESCRIBE THE PARAMETER
    `arg1` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.